aboutsummaryrefslogtreecommitdiffstats
path: root/testing/py3-ticket-auth
diff options
context:
space:
mode:
Diffstat (limited to 'testing/py3-ticket-auth')
-rw-r--r--testing/py3-ticket-auth/APKBUILD27
1 files changed, 27 insertions, 0 deletions
diff --git a/testing/py3-ticket-auth/APKBUILD b/testing/py3-ticket-auth/APKBUILD
new file mode 100644
index 0000000000..b2dcc160a9
--- /dev/null
+++ b/testing/py3-ticket-auth/APKBUILD
@@ -0,0 +1,27 @@
+# Contributor: Fabian Affolter <fabian@affolter-engineering.ch>
+# Maintainer: Fabian Affolter <fabian@affolter-engineering.ch>
+pkgname=py3-ticket-auth
+_pkgname=ticket_auth
+pkgver=0.1.4
+pkgrel=0
+pkgdesc="Ticket authentication system"
+url="https://github.com/gnarlychicken/ticket_auth"
+arch="noarch"
+license="MIT"
+makedepends="python3-dev"
+source="https://files.pythonhosted.org/packages/source/${_pkgname:0:1}/$_pkgname/$_pkgname-$pkgver.tar.gz"
+builddir="$srcdir"/$_pkgname-$pkgver
+
+build() {
+ cd "$builddir"
+ python3 setup.py build || return 1
+}
+
+package() {
+ cd "$builddir"
+ python3 setup.py install --prefix=/usr --root="$pkgdir"
+}
+
+md5sums="294d338f09795fd24869dfc069f278aa ticket_auth-0.1.4.tar.gz"
+sha256sums="cefb45ff461dac7fad34144f3f6dfd56c3a28ba5d0f4b5d00b0b063770a2e543 ticket_auth-0.1.4.tar.gz"
+sha512sums="67af674a5061d72350bc683a8614151815a91b4bdb2b641ade4d171a631fe71e574f48b3535285ace18ac5ae101e32434efaba5ec72bed30a6f0fbe88124708b ticket_auth-0.1.4.tar.gz"